Ext.onReady(function(){

    var hboxForm = Ext.create('Ext.form.Panel', {
        
        frame:true,
        title: 'www.objis.com - Formulaire ExtJS 4 - Demo hbox',
        bodyStyle:'padding:5px 5px 0',
        width: 600,
        renderTo:'ext4-form',
        fieldDefaults: {
            labelAlign: 'top',
            msgTarget: 'side'
        },
        defaults: {
            border: false,
            xtype: 'panel',
            flex: 1,
            layout: 'anchor'
        },

        layout: 'hbox',
        items: [{
            items: [{
                xtype:'textfield',
                fieldLabel: 'Prenom',
                anchor: '-10',
                name: 'first',
                allowBlank:false
            }, {
                xtype:'textfield',
                fieldLabel: 'Telephone',
                anchor: '-10',
                name: 'phone',
                allowBlank:false
            }]
        }, {
            items: [{
                xtype:'textfield',
                fieldLabel: 'Nom',
                anchor: '100%',
                name: 'last',
                allowBlank:false
            },{
                xtype:'textfield',
                fieldLabel: 'Email',
                anchor: '100%',
                name: 'email',
                vtype:'email'
            }]
        }],

        buttons: [{
            text: 'Save'
        },{
            text: 'Cancel'
        }]
    });
});
